# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Onboarding reference table Refer to the following table of fields for the `POST` request to `/onboarding/v1/clients` **Reference table of fields for POST /onboarding/v1/clients** | Field | Definition | Values | Example | | --- | --- | --- | --- | | Client details (organization) | - | - | - | | partyType | Whether the party in this object is an individual or an organization. | Enum: INDIVIDUAL, ORGANIZATION | ORGANIZATION | | externalId | Your chosen ID for this client. | | TC1234 | | email | Email address for the client | String | username@domain | | roles | The role of the client being added. Use CLIENT when adding a new organization for a client. | Enum: AUTHORIZED_USER, BENEFICIAL_OWNER, CLIENT, CONTROLLER, DECISION_MAKER, PRIMARY_CONTACT | CLIENT | | organizationDetails | Object containing details of your client’s organization. | - | - | | organizationType | The type of organization your client has. | Enum: LIMITED_LIABILITY_COMPANY, C_CORPORATION, S_CORPORATION, PARTNERSHIP, PUBLICLY_TRADED_COMPANY, NON_PROFIT_CORPORATION, GOVERNMENT_ENTITY, SOLE_PROPRIETORSHIP, UNINCORPORATED_ASSOCIATION | SOLE_PROPRIETORSHIP | | organizationName | The name of your client’s organization | String | Central Perk Getaways | | dbaName | Doing Business As (DBA) name. A commonly used name for your client’s business. | String | CP Getaways | | organizationDescription | Description of your client’s business | String | Relax, unwind and experience the comforting charm of our apartment while exploring New York | | industryCategory | The industry category of the business connected to the client. Use the reference data page to find a list of acceptable descriptions. | String | Accommodation and Food Services | | industryType | The industry type of the business connected to the client. You can use the Reference Data page to get a list of acceptable values. | String | Bed And Breakfast Inns | | CountryOfFormation | Country code of the country where your client’s organization was formed. | Country code in ISO alpha-2 format. | US | | yearOfFormation | The year your client’s organization was formed | String – 4 characters | 2020 | | addresses | Object. Address details of the organization | - | - | | AddressType | The type of address | Enum: LEGAL_ADDRESS, MAILING_ADDRESS, BUSINESS_ADDRESS, RESIDENTIAL_ADDRESS | LEGAL_ADDRESS | | addressLines | Lines of the organization’s address. Each line separated by a comma. First line must start with a number, and cannot be a PO box. | String. Minimum 1 item, maximum 5 items. | "689 Main St", "Opposite St. Andrews Church", "New Town" | | City | City of the address | String | New York | | state | State code for the organization address. State is mandatory for countries like United States. | Alpha-2 format. | NY | | PostalCode | Postal/ZIP code | String | 99501 | | Phone | Object for phone numbers | - | - | | phoneType | Identifies the type of being added | Enum: BUSINESS_PHONE, MOBILE_PHONE, ALTERNATE_PHONE | BUSINESS_PHONE | | countryCode | Country code that precedes the phone number | String – using + then the relevant international dialling code. | +1 | | phoneNumber | The phone number including area code | String | 785462944 | | organizationIds | Object – the tax ID of the organization | - | - | | idType | The ID type | Enum: EIN BUSINESS_REGISTRATION_ID | EIN | | Issuer | The issuing authority of the ID | String | US | | value | The ID number | String | 000000001 | | website | The URL of the organization’s website | String – a valid URL. | https://subdomain.domain.TLD/ | | Party details (individual) | - | - | - | | partyType | What type of party is being added. This is an Individual associated with the organization being added as a client. | Enum: INDIVIDUAL, ORGANIZATION | INDIVIDUAL | | externalId | An external ID for the individual party being added with the client. | String: max 20 characters | TCU12344 | | email | Individual email address | String. Email address | username@domain | | roles | The roles of the individual in the organization. At least one of these must be CONTROLLER. For SOLE_PROPRIETORSHIP clients, one of these roles must also be BENEFICIAL_OWNER | Enum: AUTHORIZED_USER, BENEFICIAL_OWNER, CLIENT, CONTROLLER, DECISION_MAKER, PRIMARY_CONTACT | BENEFICIAL_OWNER CONTROLLER | | IndividualDetails | | | | | firstName | First name of the individual party | String | Monica | | lastName | Last name of the individual party | String | Gellar | | countryOfResidence | Country of residence of the party | Country Code Iso Alpha2string | US | | NatureOfOwnership | Whether the ownership of the organization by this party is direct or indirect. | String | Direct | | jobTitle | Job title of the individual. This is a required field for those with the role CONTROLLER | String | CEO | | jobTitleDescription | Description of the job title. Only required if the jobTitle is ‘Other’ | String | Acts as CEO | | addresses | | | | | addressType | Type of address being added | Enum: LEGAL_ADDRESS, MAILING_ADDRESS, BUSINESS_ADDRESS, RESIDENTIAL_ADDRESS | LEGAL_ADDRESS | | addressLines | Address lines for the individual. Each line separated by a comma. First line must start with a number and cannot be a PO box. | String. Minimum 1 item, maximum 5 items. | "90 Bedford Street", "Apt 2E" | | city | City of the address of the individual | String | New York | | state | State of the address of the individual | State code in alpha-2 format. | NY | | postalCode | Postal/ZIP code | String | 99501 | | country | Country of the address | Country code in alpha-2 format | US | | individualIds | Object – the ID of the individual | - | - | | idType | Type of ID | Enum: SSN ITIN | SSN | | issuer | The issuer of the ID | Country Code Iso Alpha2string | US | | value | The ID number | String | 100010001 | | products | Which products are being used by this client | Enum: Merchant Services | Merchant Services |